unit schVentasEnProcesoServer_Intf;

interface

uses
  Classes, DB, SysUtils, uROClasses, uDADataTable, uDABusinessProcessor, schVentasEnProcesoClient_Intf;

const
  { Delta rules ids 
       Feel free to change them to something more human readable
       but make sure they are unique in the context of your application }
  RID_VentasEnProcesoPendientesDelta = '{D3A9D8FB-B84C-4FD7-9DC6-FBBBA04E7878}';

type
  { IVentasEnProcesoPendientesDelta }
  IVentasEnProcesoPendientesDelta = interface(IVentasEnProcesoPendientes)
  ['{D3A9D8FB-B84C-4FD7-9DC6-FBBBA04E7878}']
    { Property getters and setters }
    function GetOldNUMINFValue : String;
    function GetOldCLAVE1Value : Float;
    function GetOldCLAVE2Value : Integer;
    function GetOldCLAVE3Value : Integer;
    function GetOldFECHAValue : DateTime;
    function GetOldDIAValue : Integer;
    function GetOldDIASEMANAValue : String;
    function GetOldMESValue : String;
    function GetOldANOValue : Integer;
    function GetOldCENTROValue : String;
    function GetOldVENDEDORValue : String;
    function GetOldNUMTALONValue : String;
    function GetOldCODIGOValue : String;
    function GetOldPRODUCTOValue : String;
    function GetOldGRUPOPRODUCTOValue : String;
    function GetOldTIPOPRODUCTOValue : String;
    function GetOldCOLECCIONValue : String;
    function GetOldCOLORValue : String;
    function GetOldTALLAValue : String;
    function GetOldINICIOValue : Float;
    function GetOldFINALValue : Float;
    function GetOldIMPORTEValue : Float;

    { Properties }
    property OldNUMINF : String read GetOldNUMINFValue;
    property OldCLAVE1 : Float read GetOldCLAVE1Value;
    property OldCLAVE2 : Integer read GetOldCLAVE2Value;
    property OldCLAVE3 : Integer read GetOldCLAVE3Value;
    property OldFECHA : DateTime read GetOldFECHAValue;
    property OldDIA : Integer read GetOldDIAValue;
    property OldDIASEMANA : String read GetOldDIASEMANAValue;
    property OldMES : String read GetOldMESValue;
    property OldANO : Integer read GetOldANOValue;
    property OldCENTRO : String read GetOldCENTROValue;
    property OldVENDEDOR : String read GetOldVENDEDORValue;
    property OldNUMTALON : String read GetOldNUMTALONValue;
    property OldCODIGO : String read GetOldCODIGOValue;
    property OldPRODUCTO : String read GetOldPRODUCTOValue;
    property OldGRUPOPRODUCTO : String read GetOldGRUPOPRODUCTOValue;
    property OldTIPOPRODUCTO : String read GetOldTIPOPRODUCTOValue;
    property OldCOLECCION : String read GetOldCOLECCIONValue;
    property OldCOLOR : String read GetOldCOLORValue;
    property OldTALLA : String read GetOldTALLAValue;
    property OldINICIO : Float read GetOldINICIOValue;
    property OldFINAL : Float read GetOldFINALValue;
    property OldIMPORTE : Float read GetOldIMPORTEValue;
  end;

  { TVentasEnProcesoPendientesBusinessProcessorRules }
  TVentasEnProcesoPendientesBusinessProcessorRules = class(TDABusinessProcessorRules, IVentasEnProcesoPendientes, IVentasEnProcesoPendientesDelta)
  private
  protected
    { Property getters and setters }
    function GetNUMINFValue: String; virtual;
    function GetOldNUMINFValue: String; virtual;
    procedure SetNUMINFValue(const aValue: String); virtual;
    function GetCLAVE1Value: Float; virtual;
    function GetOldCLAVE1Value: Float; virtual;
    procedure SetCLAVE1Value(const aValue: Float); virtual;
    function GetCLAVE2Value: Integer; virtual;
    function GetOldCLAVE2Value: Integer; virtual;
    procedure SetCLAVE2Value(const aValue: Integer); virtual;
    function GetCLAVE3Value: Integer; virtual;
    function GetOldCLAVE3Value: Integer; virtual;
    procedure SetCLAVE3Value(const aValue: Integer); virtual;
    function GetFECHAValue: DateTime; virtual;
    function GetOldFECHAValue: DateTime; virtual;
    procedure SetFECHAValue(const aValue: DateTime); virtual;
    function GetDIAValue: Integer; virtual;
    function GetOldDIAValue: Integer; virtual;
    procedure SetDIAValue(const aValue: Integer); virtual;
    function GetDIASEMANAValue: String; virtual;
    function GetOldDIASEMANAValue: String; virtual;
    procedure SetDIASEMANAValue(const aValue: String); virtual;
    function GetMESValue: String; virtual;
    function GetOldMESValue: String; virtual;
    procedure SetMESValue(const aValue: String); virtual;
    function GetANOValue: Integer; virtual;
    function GetOldANOValue: Integer; virtual;
    procedure SetANOValue(const aValue: Integer); virtual;
    function GetCENTROValue: String; virtual;
    function GetOldCENTROValue: String; virtual;
    procedure SetCENTROValue(const aValue: String); virtual;
    function GetVENDEDORValue: String; virtual;
    function GetOldVENDEDORValue: String; virtual;
    procedure SetVENDEDORValue(const aValue: String); virtual;
    function GetNUMTALONValue: String; virtual;
    function GetOldNUMTALONValue: String; virtual;
    procedure SetNUMTALONValue(const aValue: String); virtual;
    function GetCODIGOValue: String; virtual;
    function GetOldCODIGOValue: String; virtual;
    procedure SetCODIGOValue(const aValue: String); virtual;
    function GetPRODUCTOValue: String; virtual;
    function GetOldPRODUCTOValue: String; virtual;
    procedure SetPRODUCTOValue(const aValue: String); virtual;
    function GetGRUPOPRODUCTOValue: String; virtual;
    function GetOldGRUPOPRODUCTOValue: String; virtual;
    procedure SetGRUPOPRODUCTOValue(const aValue: String); virtual;
    function GetTIPOPRODUCTOValue: String; virtual;
    function GetOldTIPOPRODUCTOValue: String; virtual;
    procedure SetTIPOPRODUCTOValue(const aValue: String); virtual;
    function GetCOLECCIONValue: String; virtual;
    function GetOldCOLECCIONValue: String; virtual;
    procedure SetCOLECCIONValue(const aValue: String); virtual;
    function GetCOLORValue: String; virtual;
    function GetOldCOLORValue: String; virtual;
    procedure SetCOLORValue(const aValue: String); virtual;
    function GetTALLAValue: String; virtual;
    function GetOldTALLAValue: String; virtual;
    procedure SetTALLAValue(const aValue: String); virtual;
    function GetINICIOValue: Float; virtual;
    function GetOldINICIOValue: Float; virtual;
    procedure SetINICIOValue(const aValue: Float); virtual;
    function GetFINALValue: Float; virtual;
    function GetOldFINALValue: Float; virtual;
    procedure SetFINALValue(const aValue: Float); virtual;
    function GetIMPORTEValue: Float; virtual;
    function GetOldIMPORTEValue: Float; virtual;
    procedure SetIMPORTEValue(const aValue: Float); virtual;

    { Properties }
    property NUMINF : String read GetNUMINFValue write SetNUMINFValue;
    property OldNUMINF : String read GetOldNUMINFValue;
    property CLAVE1 : Float read GetCLAVE1Value write SetCLAVE1Value;
    property OldCLAVE1 : Float read GetOldCLAVE1Value;
    property CLAVE2 : Integer read GetCLAVE2Value write SetCLAVE2Value;
    property OldCLAVE2 : Integer read GetOldCLAVE2Value;
    property CLAVE3 : Integer read GetCLAVE3Value write SetCLAVE3Value;
    property OldCLAVE3 : Integer read GetOldCLAVE3Value;
    property FECHA : DateTime read GetFECHAValue write SetFECHAValue;
    property OldFECHA : DateTime read GetOldFECHAValue;
    property DIA : Integer read GetDIAValue write SetDIAValue;
    property OldDIA : Integer read GetOldDIAValue;
    property DIASEMANA : String read GetDIASEMANAValue write SetDIASEMANAValue;
    property OldDIASEMANA : String read GetOldDIASEMANAValue;
    property MES : String read GetMESValue write SetMESValue;
    property OldMES : String read GetOldMESValue;
    property ANO : Integer read GetANOValue write SetANOValue;
    property OldANO : Integer read GetOldANOValue;
    property CENTRO : String read GetCENTROValue write SetCENTROValue;
    property OldCENTRO : String read GetOldCENTROValue;
    property VENDEDOR : String read GetVENDEDORValue write SetVENDEDORValue;
    property OldVENDEDOR : String read GetOldVENDEDORValue;
    property NUMTALON : String read GetNUMTALONValue write SetNUMTALONValue;
    property OldNUMTALON : String read GetOldNUMTALONValue;
    property CODIGO : String read GetCODIGOValue write SetCODIGOValue;
    property OldCODIGO : String read GetOldCODIGOValue;
    property PRODUCTO : String read GetPRODUCTOValue write SetPRODUCTOValue;
    property OldPRODUCTO : String read GetOldPRODUCTOValue;
    property GRUPOPRODUCTO : String read GetGRUPOPRODUCTOValue write SetGRUPOPRODUCTOValue;
    property OldGRUPOPRODUCTO : String read GetOldGRUPOPRODUCTOValue;
    property TIPOPRODUCTO : String read GetTIPOPRODUCTOValue write SetTIPOPRODUCTOValue;
    property OldTIPOPRODUCTO : String read GetOldTIPOPRODUCTOValue;
    property COLECCION : String read GetCOLECCIONValue write SetCOLECCIONValue;
    property OldCOLECCION : String read GetOldCOLECCIONValue;
    property COLOR : String read GetCOLORValue write SetCOLORValue;
    property OldCOLOR : String read GetOldCOLORValue;
    property TALLA : String read GetTALLAValue write SetTALLAValue;
    property OldTALLA : String read GetOldTALLAValue;
    property INICIO : Float read GetINICIOValue write SetINICIOValue;
    property OldINICIO : Float read GetOldINICIOValue;
    property FINAL : Float read GetFINALValue write SetFINALValue;
    property OldFINAL : Float read GetOldFINALValue;
    property IMPORTE : Float read GetIMPORTEValue write SetIMPORTEValue;
    property OldIMPORTE : Float read GetOldIMPORTEValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

implementation

uses
  Variants, uROBinaryHelpers;

{ TVentasEnProcesoPendientesBusinessProcessorRules }
constructor TVentasEnProcesoPendientesBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TVentasEnProcesoPendientesBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TVentasEnProcesoPendientesBusinessProcessorRules.GetNUMINFValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasEnProcesoPendientesNUMINF];
end;

function TVentasEnProcesoPendientesBusinessProcessorRules.GetOldNUMINFValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasEnProcesoPendientesNUMINF];
end;

procedure TVentasEnProcesoPendientesBusinessProcessorRules.SetNUMINFValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasEnProcesoPendientesNUMINF] := aValue;
end;

function TVentasEnProcesoPendientesBusinessProcessorRules.GetCLAVE1Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasEnProcesoPendientesCLAVE1];
end;

function TVentasEnProcesoPendientesBusinessProcessorRules.GetOldCLAVE1Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasEnProcesoPendientesCLAVE1];
end;

procedure TVentasEnProcesoPendientesBusinessProcessorRules.SetCLAVE1Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasEnProcesoPendientesCLAVE1] := aValue;
end;

function TVentasEnProcesoPendientesBusinessProcessorRules.GetCLAVE2Value: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasEnProcesoPendientesCLAVE2];
end;

function TVentasEnProcesoPendientesBusinessProcessorRules.GetOldCLAVE2Value: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasEnProcesoPendientesCLAVE2];
end;

procedure TVentasEnProcesoPendientesBusinessProcessorRules.SetCLAVE2Value(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasEnProcesoPendientesCLAVE2] := aValue;
end;

function TVentasEnProcesoPendientesBusinessProcessorRules.GetCLAVE3Value: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasEnProcesoPendientesCLAVE3];
end;

function TVentasEnProcesoPendientesBusinessProcessorRules.GetOldCLAVE3Value: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasEnProcesoPendientesCLAVE3];
end;

procedure TVentasEnProcesoPendientesBusinessProcessorRules.SetCLAVE3Value(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasEnProcesoPendientesCLAVE3] := aValue;
end;

function TVentasEnProcesoPendientesBusinessProcessorRules.GetFECHAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasEnProcesoPendientesFECHA];
end;

function TVentasEnProcesoPendientesBusinessProcessorRules.GetOldFECHAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasEnProcesoPendientesFECHA];
end;

procedure TVentasEnProcesoPendientesBusinessProcessorRules.SetFECHAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasEnProcesoPendientesFECHA] := aValue;
end;

function TVentasEnProcesoPendientesBusinessProcessorRules.GetDIAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasEnProcesoPendientesDIA];
end;

function TVentasEnProcesoPendientesBusinessProcessorRules.GetOldDIAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasEnProcesoPendientesDIA];
end;

procedure TVentasEnProcesoPendientesBusinessProcessorRules.SetDIAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasEnProcesoPendientesDIA] := aValue;
end;

function TVentasEnProcesoPendientesBusinessProcessorRules.GetDIASEMANAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasEnProcesoPendientesDIASEMANA];
end;

function TVentasEnProcesoPendientesBusinessProcessorRules.GetOldDIASEMANAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasEnProcesoPendientesDIASEMANA];
end;

procedure TVentasEnProcesoPendientesBusinessProcessorRules.SetDIASEMANAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasEnProcesoPendientesDIASEMANA] := aValue;
end;

function TVentasEnProcesoPendientesBusinessProcessorRules.GetMESValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasEnProcesoPendientesMES];
end;

function TVentasEnProcesoPendientesBusinessProcessorRules.GetOldMESValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasEnProcesoPendientesMES];
end;

procedure TVentasEnProcesoPendientesBusinessProcessorRules.SetMESValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasEnProcesoPendientesMES] := aValue;
end;

function TVentasEnProcesoPendientesBusinessProcessorRules.GetANOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasEnProcesoPendientesANO];
end;

function TVentasEnProcesoPendientesBusinessProcessorRules.GetOldANOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasEnProcesoPendientesANO];
end;

procedure TVentasEnProcesoPendientesBusinessProcessorRules.SetANOValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasEnProcesoPendientesANO] := aValue;
end;

function TVentasEnProcesoPendientesBusinessProcessorRules.GetCENTROValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasEnProcesoPendientesCENTRO];
end;

function TVentasEnProcesoPendientesBusinessProcessorRules.GetOldCENTROValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasEnProcesoPendientesCENTRO];
end;

procedure TVentasEnProcesoPendientesBusinessProcessorRules.SetCENTROValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasEnProcesoPendientesCENTRO] := aValue;
end;

function TVentasEnProcesoPendientesBusinessProcessorRules.GetVENDEDORValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasEnProcesoPendientesVENDEDOR];
end;

function TVentasEnProcesoPendientesBusinessProcessorRules.GetOldVENDEDORValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasEnProcesoPendientesVENDEDOR];
end;

procedure TVentasEnProcesoPendientesBusinessProcessorRules.SetVENDEDORValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasEnProcesoPendientesVENDEDOR] := aValue;
end;

function TVentasEnProcesoPendientesBusinessProcessorRules.GetNUMTALONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasEnProcesoPendientesNUMTALON];
end;

function TVentasEnProcesoPendientesBusinessProcessorRules.GetOldNUMTALONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasEnProcesoPendientesNUMTALON];
end;

procedure TVentasEnProcesoPendientesBusinessProcessorRules.SetNUMTALONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasEnProcesoPendientesNUMTALON] := aValue;
end;

function TVentasEnProcesoPendientesBusinessProcessorRules.GetCODIGOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasEnProcesoPendientesCODIGO];
end;

function TVentasEnProcesoPendientesBusinessProcessorRules.GetOldCODIGOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasEnProcesoPendientesCODIGO];
end;

procedure TVentasEnProcesoPendientesBusinessProcessorRules.SetCODIGOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasEnProcesoPendientesCODIGO] := aValue;
end;

function TVentasEnProcesoPendientesBusinessProcessorRules.GetPRODUCTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasEnProcesoPendientesPRODUCTO];
end;

function TVentasEnProcesoPendientesBusinessProcessorRules.GetOldPRODUCTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasEnProcesoPendientesPRODUCTO];
end;

procedure TVentasEnProcesoPendientesBusinessProcessorRules.SetPRODUCTOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasEnProcesoPendientesPRODUCTO] := aValue;
end;

function TVentasEnProcesoPendientesBusinessProcessorRules.GetGRUPOPRODUCTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasEnProcesoPendientesGRUPOPRODUCTO];
end;

function TVentasEnProcesoPendientesBusinessProcessorRules.GetOldGRUPOPRODUCTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasEnProcesoPendientesGRUPOPRODUCTO];
end;

procedure TVentasEnProcesoPendientesBusinessProcessorRules.SetGRUPOPRODUCTOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasEnProcesoPendientesGRUPOPRODUCTO] := aValue;
end;

function TVentasEnProcesoPendientesBusinessProcessorRules.GetTIPOPRODUCTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasEnProcesoPendientesTIPOPRODUCTO];
end;

function TVentasEnProcesoPendientesBusinessProcessorRules.GetOldTIPOPRODUCTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasEnProcesoPendientesTIPOPRODUCTO];
end;

procedure TVentasEnProcesoPendientesBusinessProcessorRules.SetTIPOPRODUCTOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasEnProcesoPendientesTIPOPRODUCTO] := aValue;
end;

function TVentasEnProcesoPendientesBusinessProcessorRules.GetCOLECCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasEnProcesoPendientesCOLECCION];
end;

function TVentasEnProcesoPendientesBusinessProcessorRules.GetOldCOLECCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasEnProcesoPendientesCOLECCION];
end;

procedure TVentasEnProcesoPendientesBusinessProcessorRules.SetCOLECCIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasEnProcesoPendientesCOLECCION] := aValue;
end;

function TVentasEnProcesoPendientesBusinessProcessorRules.GetCOLORValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasEnProcesoPendientesCOLOR];
end;

function TVentasEnProcesoPendientesBusinessProcessorRules.GetOldCOLORValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasEnProcesoPendientesCOLOR];
end;

procedure TVentasEnProcesoPendientesBusinessProcessorRules.SetCOLORValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasEnProcesoPendientesCOLOR] := aValue;
end;

function TVentasEnProcesoPendientesBusinessProcessorRules.GetTALLAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasEnProcesoPendientesTALLA];
end;

function TVentasEnProcesoPendientesBusinessProcessorRules.GetOldTALLAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasEnProcesoPendientesTALLA];
end;

procedure TVentasEnProcesoPendientesBusinessProcessorRules.SetTALLAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasEnProcesoPendientesTALLA] := aValue;
end;

function TVentasEnProcesoPendientesBusinessProcessorRules.GetINICIOValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasEnProcesoPendientesINICIO];
end;

function TVentasEnProcesoPendientesBusinessProcessorRules.GetOldINICIOValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasEnProcesoPendientesINICIO];
end;

procedure TVentasEnProcesoPendientesBusinessProcessorRules.SetINICIOValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasEnProcesoPendientesINICIO] := aValue;
end;

function TVentasEnProcesoPendientesBusinessProcessorRules.GetFINALValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasEnProcesoPendientesFINAL];
end;

function TVentasEnProcesoPendientesBusinessProcessorRules.GetOldFINALValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasEnProcesoPendientesFINAL];
end;

procedure TVentasEnProcesoPendientesBusinessProcessorRules.SetFINALValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasEnProcesoPendientesFINAL] := aValue;
end;

function TVentasEnProcesoPendientesBusinessProcessorRules.GetIMPORTEValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_VentasEnProcesoPendientesIMPORTE];
end;

function TVentasEnProcesoPendientesBusinessProcessorRules.GetOldIMPORTEValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_VentasEnProcesoPendientesIMPORTE];
end;

procedure TVentasEnProcesoPendientesBusinessProcessorRules.SetIMPORTEValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_VentasEnProcesoPendientesIMPORTE] := aValue;
end;


initialization
  RegisterBusinessProcessorRules(RID_VentasEnProcesoPendientesDelta, TVentasEnProcesoPendientesBusinessProcessorRules);

end.
